View Single Post
Old 08-28-11, 01:50 PM   #1
zbiggy
Registered User
 
Join Date: Sep 2002
Posts: 623
Default 285.03: X Server 1.11.0 IgnoreABI required to work

The problem: Nvidia driver 285.03
================ WARNING WARNING WARNING WARNING ================
This server has a video driver ABI version of 11.0 that this
driver does not officially support. Please check
http://www.nvidia.com/ for driver updates or downgrade to an X
server with a supported driver ABI.
================================================== ===============
[ 3833.424] (WW) NVIDIA: The driver will continue to load, but may behave strangely.
[ 3833.424] (WW) NVIDIA: This driver was compiled against the X.Org server SDK from git commit b6c7b9b2f39e970cedb6bc1e073f901e28cb0fa3 and may not be compatible with the final version of this SDK.
[ 3833.424] (WW) NVIDIA: This server has an unsupported input driver ABI version (have 13.0, need < 13.0). The driver will continue to load, but may behave strangely.

The workaround:
/etc/X11/xorg.conf
Section "ServerFlags"
Option "IgnoreABI" "true"
EndSection
zbiggy is offline   Reply With Quote